com.aliyun.svideosdk.common.struct.recorder

## Class CameraParam

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.recorder.CameraParam

-     public class CameraParam
      extends java.lang.Object

  相机参数配置类

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `FOCUS_MODE_AUTO` 自动对焦 `android.hardware.Camera.Parameters#FLASH_MODE_AUTO`
    `static int` | `FOCUS_MODE_CONTINUE` 持续自动对焦

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CameraParam()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `getExposureCompensationRatio()` 获取曝光度[0, 1]
    `java.lang.String` | `getFlashType()` 获取闪光灯模式
    `int` | `getFocusMode()` 获取摄像头对焦模式 `FOCUS_MODE_AUTO` `FOCUS_MODE_CONTINUE`
    `float` | `getZoomRatio()` 获取摄像头缩放比例
    `void` | `setExposureCompensationRatio(float exposureCompensation)` 设置曝光度[0, 1]
    `void` | `setFlashType(java.lang.String type)` 设置闪光灯模式
    `void` | `setFocusMode(int focusMode)` 设置摄像头对焦模式 `FOCUS_MODE_AUTO` `FOCUS_MODE_CONTINUE`
    `void` | `setZoomRatio(float zoomRatio)` 设置摄像头缩放比例

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FOCUS_MODE_AUTO

          public static final int FOCUS_MODE_AUTO

      自动对焦 `android.hardware.Camera.Parameters#FLASH_MODE_AUTO`
      See Also:
        Constant Field Values

    - #### FOCUS_MODE_CONTINUE

          public static final int FOCUS_MODE_CONTINUE

      持续自动对焦
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CameraParam

          public CameraParam()

  - ### Method Detail

    - #### getFlashType

          public java.lang.String getFlashType()

      获取闪光灯模式
      Returns:
        闪光灯模式

    - #### setFlashType

          public void setFlashType(java.lang.String type)

      设置闪光灯模式
      Parameters:
        `type` - 闪光灯模式

    - #### getZoomRatio

          public float getZoomRatio()

      获取摄像头缩放比例
      Returns:
        缩放比例

    - #### setZoomRatio

          public void setZoomRatio(float zoomRatio)

      设置摄像头缩放比例
      Parameters:
        `zoomRatio` - 缩放比例

    - #### getFocusMode

          public int getFocusMode()

      获取摄像头对焦模式 `FOCUS_MODE_AUTO` `FOCUS_MODE_CONTINUE`
      Returns:
        对焦模式

    - #### setFocusMode

          public void setFocusMode(int focusMode)

      设置摄像头对焦模式 `FOCUS_MODE_AUTO` `FOCUS_MODE_CONTINUE`
      Parameters:
        `focusMode` - 对焦模式

    - #### getExposureCompensationRatio

          public float getExposureCompensationRatio()

      获取曝光度[0, 1]
      Returns:
        曝光度

    - #### setExposureCompensationRatio

          public void setExposureCompensationRatio(float exposureCompensation)

      设置曝光度[0, 1]
      Parameters:
        `exposureCompensation` - 曝光度